Skip to content
Navigation

Reads the customer's own review of a product.

GET
https://api.sherpo.io/customer/v1/stores/{store}/products/{product}/review

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    A hostname of the store.

  • product
    string
    required

    An id, or slug:<slug>.

    minLength: 1

Returns

200

Reads the customer's own review of a product.

JSON
  • mine
    boolean
    required
  • hidden_at
    required

    One of the following:

    • string
    • null
  • id
    string
    required
  • product_id
    string
    required
  • rating
    number
    required
  • username
    required

    One of the following:

    • string
    • null
  • notes
    required

    One of the following:

    • string
    • null
  • reply
    required

    One of the following:

    • string
    • null
  • replied_at
    required

    One of the following:

    • string
    • null
  • created_at
    required

    One of the following:

    • string
    • null
  • updated_at
    required

    When the customer last edited it; null until they do.

    One of the following:

    • string
    • null
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close